Bug 153561 - [PATCH] devel/boost-libs: [SUMMARIZE CHANGES]
[PATCH] devel/boost-libs: [SUMMARIZE CHANGES]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: dougb
Depends on:
  Show dependency treegraph
Reported: 2010-12-30 19:30 UTC by mail
Modified: 2011-01-08 07:50 UTC (History)
1 user (show)

See Also:

boost-libs-1.45.0_1.patch (2.16 KB, patch)
2010-12-30 19:30 UTC, mail
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mail 2010-12-30 19:30:11 UTC
the patch fixed an locale issue that could crash programs on startup (e.g. mongodb) with an failure described here: https://svn.boost.org/trac/boost/ticket/4688

Added file(s):
- files/patch-libs_filesystem__v2__src__v2_path.cpp
- files/patch-libs_filesystem__v3__src__path.cpp

Port maintainer (churanov.port.maintainer@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-12-30 19:30:17 UTC
Maintainer of devel/boost-libs,

Please note that PR ports/153561 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2010-12-30 19:30:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 alexanderchuranov 2011-01-01 21:43:01 UTC
I've examined the patches and approve them in full.

Alexander Churanov,
maintainer of devel/boost-*
Comment 4 dfilter freebsd_committer 2011-01-08 07:46:47 UTC
dougb       2011-01-08 07:46:42 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost-libs     Makefile 
  Added files:
  Add patches to deal with locale problems
  PR:             ports/153561
  Submitted by:   Mirko Zinn <mail@derzinn.de>
  Approved by:    maintainer
  Revision  Changes    Path
  1.9       +1 -0      ports/devel/boost-libs/Makefile
  1.1       +11 -0     ports/devel/boost-libs/files/patch-libs_filesystem__v2__src__v2_path.cpp (new)
  1.1       +11 -0     ports/devel/boost-libs/files/patch-libs_filesystem__v3__src__path.cpp (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dougb freebsd_committer 2011-01-08 07:46:57 UTC
State Changed
From-To: feedback->closed

Update committed, Makefile version 1.9 

Comment 6 dougb freebsd_committer 2011-01-08 07:46:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dougb

I did the update